Bug 1387545 - Deprecation warnings and false errors are seen during subscription-manager invocation
Summary: Deprecation warnings and false errors are seen during subscription-manager in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-10-21 08:51 UTC by RamaKasturi
Modified: 2019-04-03 10:03 UTC (History)
5 users (show)

Fixed In Version: gdeploy-2.0.1-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:35:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description RamaKasturi 2016-10-21 08:51:55 UTC
Description of problem:
When running robo.conf using latest gdeploy i see that the following false error messages gets logged on stdout.

TASK [Attach to Red Hat subscription pool] *************************************
fatal: [hostedengineSM1.lab.eng.blr.redhat.com]: FAILED! => {"changed": true, "cmd": ["subscription-manager", "attach", "--pool=8a85f9823e3d5e43013e3ddd4e9509c4"], "delta": "0:00:28.362165", "end": "2016-10-04 04:53:16.321333", "failed": true, "failed_when_result": true, "rc": 0, "start": "2016-10-04 04:52:47.959168", "stderr": "", "stdout": "Successfully attached a subscription for: Employee SKU", "stdout_lines": ["Successfully attached a subscription for: Employee SKU"], "warnings": []}
...ignoring

    I see some deprecation warnings while running engine and robo.conf files. Any updates required in files as suggested in these warnings?

TASK [Create/Enabling yum repos] ***********************************************
[DEPRECATION WARNING]: Skipping task due to undefined Error, in the future this will
be a fatal error.: 'repolist' is undefined.
This feature will be removed in a future
release. Deprecation warnings can be disabled by setting deprecation_warnings=False in
 ansible.cfg.


Version-Release number of selected component (if applicable):
gdeploy-2.0.1-2.el7rhgs.noarch.rpm
ansible-2.2.0-0.50.prerelease.el7.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install gdeploy and ansible.
2. Run the command 'gdeploy -c engine-robo.conf'
3.

Actual results:
False Errors and warnings given in the description are seen.

Expected results:
False Errors and warnings should not be seen.

Additional info:

Comment 2 Sachidananda Urs 2016-10-21 08:57:14 UTC
Fix: https://github.com/gluster/gdeploy/commit/2322d352 resolves the issue.

Comment 5 Sachidananda Urs 2016-11-03 08:04:41 UTC
Commit: https://github.com/gluster/gdeploy/commit/2322d35290b0f50 fixes the issue.

Comment 7 RamaKasturi 2017-01-03 09:01:16 UTC
Verified and works fine with build gdeploy-2.0.1-8.el7rhgs.noarch.

I am not seeing any deprecation warnings and false errors during subscription-manager invocation.

Comment 9 errata-xmlrpc 2017-02-07 11:35:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.